%global _empty_manifest_terminate_build 0
%global pypi_name sphinxext-rediraffe

%global _description %{expand:
this sphinx extension redirects non-existent pages to working pages.
Rediraffe can also check that deleted/renamed files in your git repo are
redirected. 
Rediraffe creates a graph of all specified redirects and traverses it to
point all internal urls to leaf urls.  This means that chained redirects
will be resolved.  For example, if a config has 6 chained redirects, all
6 links will redirect directly to the final link.  The end user will
never experience more than 1 redirection.
Note: Rediraffe supports the html and dirhtml builders.}

Name:		python-%{pypi_name}
Version: 	0.2.7
Release: 	1
Summary: 	Sphinx extension to redirect nonexistent pages
License: 	MIT
URL: 		https://github.com/wpilibsuite/sphinxext-rediraffe
Source0: 	https://github.com/wpilibsuite/sphinxext-rediraffe/archive/v%{version}/sphinxext-rediraffe-%{version}.tar.gz
BuildArch: 	noarch

BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
Patch0:		0001-fix-version-of-package-in-setup.py.patch

%description %_description

%package -n python3-%{pypi_name}
Summary: 	Sphinx extension to redirect nonexistent pages
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/sphinxext/__pycache__/
%{python3_sitelib}/sphinxext_rediraffe-*.egg-info/
%{python3_sitelib}/sphinxext/rediraffe.py

%changelog
* Thu Aug 17 2023 li-miaomiao_zhr <mmlidc@isoftstone.com> - 0.2.7-1
- Package init
